Text::Query::BuildSimpleString(3)

NAME
Text::Query::BuildSimpleString - Builder for Text::Query::ParseSimple to build regexps

SYNOPSIS
  use Text::Query;
  my $q=new Text::Query('+hello +world',
                        -parse => 'Text::Query::ParseSimple',
                        -solve => 'Text::Query::SolveSimpleString',
                        -build => 'Text::Query::BuildSimpleString');

DESCRIPTION
Build a regexp to match the simple query parsed by Text::Query::ParseSimple. The words of the query can be regular expressions and will provide the expected result if the "-regexp" option is set.

SEE ALSO
Text::Query(3) Text::Query::Build(3)

AUTHORS
Eric Bohlman (ebohlman@netcom.com)

Loic Dachary (loic@senga.org)